package com.ssj.service.conch.curator.service.impl.v1;

import com.ssj.bean.curator.TbLibBindAudit;
import com.ssj.dao.conch.curator.dao.TbLibBindAuditDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.conch.curator.service.v1.TbLibBindAuditService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class TbLibBindAuditServiceImpl extends BaseServiceImpl<TbLibBindAudit, String> implements TbLibBindAuditService {

    @Autowired
    private TbLibBindAuditDao dao;

    @Override
    public PagingAndSortingRepository<TbLibBindAudit, String> getDao() {
        return dao;
    }

    @Override
    public TbLibBindAudit findByVipIdAndStatusNot(String vipId, int status) {
        return dao.findByVipIdAndStatusNot(vipId,status);
    }

    @Override
    public TbLibBindAudit findByVipIdAndStatus(String vipId, int status) {
        return dao.findByVipIdAndStatus(vipId,status);
    }

    @Override
    public List<TbLibBindAudit> findByLibIdAndStatus(String libId, int status) {
        return dao.findByLibIdAndStatus(libId,status);
    }
}
